package com.hxhq.business.enums.study;

/**
 * 类型：1：试剂；3：给药制剂；5：麻精药；7：供试品（产生的为null）
 * @author tanfei
 */
public enum StudyFormFillResourceTypeEnum {

    /**
     * 试剂
     */
    sj(1, "试剂"),

    /**
     * 给药制剂
     */
    gyzj(3, "给药制剂"),

    /**
     * 麻精药
     */
    mjy(5, "麻精药"),

    /**
     * 供试品
     */
    gsp(7, "供试品");

    private int value;
    private String text;

    StudyFormFillResourceTypeEnum(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static StudyFormFillResourceTypeEnum getEnumByValue(int type) {
        for (StudyFormFillResourceTypeEnum bt : values()) {
            if (bt.value == type) {
                return bt;
            }
        }
        return null;
    }
}
